Mon Dec 18 00:49:17 CET 2006  mikma@users.sourceforge.net
  * C++ type cast in string.h
diff -rN -u old-local-3/include/asterisk/strings.h new-local-2/include/asterisk/strings.h
--- old-local-3/include/asterisk/strings.h	2006-12-18 11:26:39.000000000 +0100
+++ new-local-2/include/asterisk/strings.h	2006-12-18 11:26:40.000000000 +0100
@@ -325,7 +325,7 @@
 {
 	struct ast_str *buf;
 
-	if (!(buf = ast_calloc(1, sizeof(*buf) + init_len)))
+	if (!(buf = (struct ast_str *)ast_calloc(1, sizeof(*buf) + init_len)))
 		return NULL;
 	
 	buf->len = init_len;
@@ -346,7 +346,7 @@
 		return 0;	/* success */
 	if ((*buf)->ts == DS_ALLOCA || (*buf)->ts == DS_STATIC)
 		return -1;	/* cannot extend */
-	*buf = ast_realloc(*buf, new_len + sizeof(struct ast_str));
+	*buf = (struct ast_str *)ast_realloc(*buf, new_len + sizeof(struct ast_str));
 	if (*buf == NULL) /* XXX watch out, we leak memory here */
 		return -1;
 	if ((*buf)->ts != DS_MALLOC)
@@ -406,7 +406,7 @@
 {
 	struct ast_str *buf;
 
-	if (!(buf = ast_threadstorage_get(ts, sizeof(*buf) + init_len)))
+	if (!(buf = (struct ast_str *)ast_threadstorage_get(ts, sizeof(*buf) + init_len)))
 		return NULL;
 	
 	if (!buf->len) {

